Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

eZMail Member List

This is the complete list of members for eZMail, including all inherited members.

$Bcc | eZMail |
$BodyText | eZMail |
$Cc | eZMail |
$FilesAttached | eZMail |
$From | eZMail |
$FromName | eZMail |
$ID | eZMail |
$IsPublished | eZMail |
$MessageID | eZMail |
$parts | eZMail |
$References | eZMail |
$ReplyTo | eZMail |
$Size | eZMail |
$Status | eZMail |
$Subject | eZMail |
$To | eZMail |
$UDate | eZMail |
$UserID | eZMail |
__construct( $id="") | eZMail |
add_attachment( $message, $name="", $ctype="application/octet-stream", $encode='') | eZMail | private
addContact( $mailID, $contactID, $companyEdit=true) | eZMail |
addFile( $file) | eZMail |
addImage( $image) | eZMail |
bcc() | eZMail |
body() | eZMail |
build_message( $part) | eZMail | private
build_multipart() | eZMail | private
calculateSize() | eZMail |
cc() | eZMail |
copyMail( $copyType="normal", $attachments=false) | eZMail |
delete( $id=-1) | eZMail |
deleteFile( $file) | eZMail |
deleteImage( $image) | eZMail |
files() | eZMail |
folder( $as_object=true) | eZMail |
from() | eZMail |
fromName() | eZMail |
get( $id="") | eZMail |
getByContact( $ContactID, $CompanyEdit, $Offset, $Limit, $user=false) | eZMail | static
getByUser( $user=false, $onlyUnread=false) | eZMail | static
getContacts( $mailID=false) | eZMail |
id() | eZMail |
images() | eZMail |
isDownloaded( $mailident, $userID) | eZMail | static
isOwner( $user, $mailID) | eZMail | static
markAsDownloaded() | eZMail |
mergeList( $emails) | eZMail | static
messageID() | eZMail |
owner() | eZMail |
receiver() | eZMail |
references() | eZMail |
removeContacts( $mailID) | eZMail |
replyTo() | eZMail |
search( $text, $user=-1) | eZMail | static
send() | eZMail |
sender() | eZMail |
setBcc( $newBcc) | eZMail |
setBody( $newBody) | eZMail |
setBodyText( $newBody) | eZMail |
setCc( $newCc) | eZMail |
setFrom( $newFrom) | eZMail |
setFromName( $newFrom) | eZMail |
setMessageID( $newMessageID) | eZMail |
setOwner( $newOwner) | eZMail |
setReceiver( $newReceiver) | eZMail |
setReferences( $newReference) | eZMail |
setReplyTo( $newReplyTo) | eZMail |
setSender( $newSender) | eZMail |
setSize( $value) | eZMail |
setStatus( $status, $directWrite=false) | eZMail |
setSubject( $newSubject) | eZMail |
setTo( $newTo) | eZMail |
setUDate( $value) | eZMail |
siSize() | eZMail |
size() | eZMail |
splitList( $emails) | eZMail | static
status() | eZMail |
store() | eZMail |
stripEmail( $address) | eZMail | static
subject() | eZMail |
to() | eZMail |
uDate() | eZMail |
validate( $address) | eZMail | static

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.